## org.w3c.jigsaw.auth
Class IPTemplatesAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ArrayAttribute
                  |
                  +--org.w3c.jigsaw.auth.IPTemplatesAttribute

public class IPTemplatesAttribute
extends ArrayAttribute

The IPTemplates attribute description. Maintains a list of IP templates (short arrays, to allow for the splash).

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`IPTemplatesAttribute()`
`IPTemplatesAttribute(java.lang.String name, short[][] defs, int flags)`

Method Summary
`boolean` `checkValue(java.lang.Object obj)` Is the given value a valid IPTemplates value ?
`java.lang.String[]` `pickle(java.lang.Object array)` Pickle an attribute array into a String array.
`java.lang.Object` `unpickle(java.lang.String[] array)` Unpickle an attribute array from a string array.

Methods inherited from class org.w3c.tools.resources.ArrayAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPTemplatesAttribute

    public IPTemplatesAttribute(java.lang.String name,
                                short[][] defs,
                                int flags)

### IPTemplatesAttribute

    public IPTemplatesAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given value a valid IPTemplates value ?
  Overrides:
    checkValue in class Attribute
  Parameters:
    `obj` - The object to test.
  Throws:
    IllegalAttributeAccess - If the provided value doesn't pass the test.

### pickle

    public java.lang.String[] pickle(java.lang.Object array)

  Description copied from class: ArrayAttribute
  Pickle an attribute array into a String array.
  Overrides:
    pickle in class ArrayAttribute
  Tags copied from class: ArrayAttribute
  Parameters:
    `array` - the attribute array
  Returns:
    a String array

### unpickle

    public java.lang.Object unpickle(java.lang.String[] array)

  Description copied from class: ArrayAttribute
  Unpickle an attribute array from a string array.
  Overrides:
    unpickle in class ArrayAttribute
  Tags copied from class: ArrayAttribute
  Parameters:
    `array` - the String array
  Returns:
    a Object array